<div class="app-page-title">
  <div class="page-title-wrapper">
    <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="icon {{icon}}"></i>
      </div>
      <div>
        {{heading}}
        <div class="page-title-subheading">
          {{subheading}}
        </div>
      </div>
    </div>
    <div class="page-title-actions">
      <button class="btn btn-primary px-4 ml-1" type="button" (click)="buscarInfo()">
        <i class="fa fa-search mr-2"></i>Buscar
      </button>
    </div>
  </div>
</div>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-6 col-sm-6 col-md-3 col-lg-2 col-xl-2 mt-2">
          <div class="form-group">
            <input type="radio" formControlName="iInt1" value="1" name="iInt1" id="box1" class="k-radio">
            <label class="k-radio-label mr-2" for="box1">Todo</label>
          </div>
          <div class="form-group">
            <input type="radio" formControlName="iInt1" value="2" name="iInt1" id="box2" class="k-radio">
            <label class="k-radio-label mr-2" for="box2">Serie</label>
          </div>
          <div class="form-group">
            <input type="radio" formControlName="iInt1" value="3" name="iInt1" id="box3" class="k-radio">
            <label class="k-radio-label mr-2" for="box3">R.F.C. Emisor</label>
          </div>
        </div>
        <div class="form-group col-6 col-sm-6 col-md-4 col-lg-3 col-xl-3">
          <div class="row">
            <div class="col-6" *ngIf="ngForm.value.iInt1 == 2">
              <label class="w-100">Serie</label>
              <input type="text" class="form-control" formControlName="cChr2">
            </div>
            <div class="col-6" *ngIf="ngForm.value.iInt1 == 2">
              <label class="w-100">Folio</label>
              <input type="text" class="form-control" formControlName="iInt2">
            </div>
            <div class="k-form-field col-12" *ngIf="ngForm.value.iInt1 == 3">

              <label class="w-100">R.F.C. Emisor</label>
              <div class="input-group">
                <input type="text" class="form-control" formControlName="cChr4">
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" (click)="openModal(modal, 'rfc')">
                    <i class="fas fa-search"></i>
                  </button>
                </div>
              </div>

            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <label>R.F.C. Rec</label>
              <input type="text" class="form-control" formControlName="cChr3" #first>
            </div>
          </div>
        </div>
        <div class="form-group col-6 col-sm-6 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" [format]="formatKendo" class="w-100" (valueChange)="updateMonth()">
          </kendo-datepicker>
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" [format]="formatKendo" class="w-100">
          </kendo-datepicker>
        </div>

        <div class="col-1"></div>

        <div class="col-5 col-sm-5 col-md-3 col-lg-3 col-xl-3 mt-2 form-group" *ngIf="subMonth == 'Jan'">
          <label class="w-100"></label>
          <input class="k-checkbox" type="checkbox" id="lSepara" checked="" formControlName="lLog1">
          <label class="k-checkbox-label" for="lSepara">Separa Mes Anterior</label>
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <div *ngIf="(!loading && ngForm.value.iInt1 == 1) || (!loading && ngForm.value.iInt1 == 3)">
      <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filterable]="true" [pageSize]="pageSize"
        [reorderable]="true" [scrollable]="virtual" [resizable]="true" [skip]="skip"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" [height]="510" #grid>

        <ng-container *ngIf="dataGrid.length !== 0">
          <kendo-grid-column field="cRFCe" title="RFC Emisor" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="cSerie" title="Serie" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="iFolio" title="No. Folio" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="tfecha" title="Fecha" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Subtotal" title="Subtotal" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Impuesto" title="Impuestos" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Total" title="Total" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Exento" title="Exento" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="MontoPagado" title="Monto Pagado" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Moneda" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="cPagado" title="Pagado" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="cMetodo" title="Método" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="cEA" title="E.A." width="150">
          </kendo-grid-column>
          <kendo-grid-column field="FechaCxld" title="Fecha Cxld" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="FolioFiscal" title="Folio Fiscal" width="150">
          </kendo-grid-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </div>

    <div class="divider"></div>

    <div *ngIf="(!loading && ngForm.value.iInt1 == 1) || (!loading && ngForm.value.iInt1 == 2)">
      <kendo-grid [data]="dataGrid" [selectable]="true" [filterable]="true" [pageSize]="pageSize" [reorderable]="true"
        [scrollable]="virtual" [resizable]="true" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
        [height]="510">
        <div *ngIf="dataGrid.length !== 0">
          <kendo-grid-column field="cSerie" title="Serie" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="iFolio" title="No. Folio" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="tfecha" title="Fecha" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="FechaPago" title="Fecha Pago" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Total" title="Total" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Moneda" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="FechaCxld" title="Fecha Cxld" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="FolioFiscal" title="Folio Fiscal" width="150">
          </kendo-grid-column>
        </div>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </div>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-help-rfc (rfc)="getDataModal($event, 'rfc'); c()" *ngIf="modalType === 'rfc'"></app-help-rfc>

  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>